timeouts:
  job:
    minutes: 205
  connection:
    minutes: 2
context:
  test_character_delay: 10
device_type: hi6220-hikey-r2
job_name: linux-next-oe--ltp-syscalls-next-445345218
priority: 35
visibility: public
metadata:
  git branch: next
  git repo: https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable-rc.git
  git commit: 27ac98449017eb9c569bcc95c65f29ca3948148f
  git describe: v4.4.211
  make_kernelversion: 4.4.211
  kernel-config: http://builds.tuxbuild.com/OVjVOw1LjyFhNFcSRF54BA/kernel.config
  build-url: https://gitlab.com/Linaro/lkft/kernel-runs/pipelines/119852258
  artifact-location: ''
  toolchain: unknown
  series: lkft
  email-notification: ''
  ltp-syscalls-tests__url: unknown
  ltp-syscalls-tests__version: unknown
  ltp-syscalls-tests__revision: unknown
actions:
- deploy:
    timeout:
      minutes: 40
    to: download
    namespace: target
    images:
      ptable:
        url: http://images.validation.linaro.org/snapshots.linaro.org/96boards/reference-platform/components/uefi-staging/69/hikey/release/ptable-linux-8g.img
      boot:
        url: https://storage.lkft.org/rootfs/oe-sumo/20200205/hikey/boot-0.0+AUTOINC+2d8c108bf0-ed8112606c-r0-hikey-20200127231900-9.uefi.img
      kernel:
        url: http://builds.tuxbuild.com/OVjVOw1LjyFhNFcSRF54BA/Image
      dtb:
        url: http://builds.tuxbuild.com/OVjVOw1LjyFhNFcSRF54BA/dtbs/hisilicon/hi6220-hikey.dtb
      modules:
        url: http://builds.tuxbuild.com/OVjVOw1LjyFhNFcSRF54BA/modules.tar.xz
        compression: xz
      system:
        url: https://storage.lkft.org/rootfs/oe-sumo/20200205/hikey/rpb-console-image-lkft-hikey-20200205141751-9.rootfs.ext4.gz
        compression: gz
        apply-overlay: true
    os: oe
    postprocess:
      docker:
        image: roxell/kir
      steps:
      - git clone -b 20200325 https://github.com/linaro/kir.git
      - ./kir/lava/board_setup.sh hi6220-hikey
- deploy:
    timeout:
      minutes: 40
    to: fastboot
    namespace: target
    images:
      ptable:
        url: downloads://ptable-linux-8g.img
        reboot: hard-reset
      boot:
        url: downloads://boot.img
        reboot: hard-reset
      system:
        url: downloads://rpb-console-image-lkft.rootfs.img
        apply-overlay: true
    os: oe
- boot:
    namespace: target
    auto_login:
      login_prompt: 'login:'
      username: root
      password_prompt: ''
      password: ''
      login_commands:
        # Become super user to run tests
      - su
    prompts:
    - hikey:~
    - root@(.*):[/~]#
    timeout:
      minutes: 15
    method: grub
- test:
    namespace: target
    timeout:
      minutes: 120
    definitions:
    - from: inline
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: prep-tests
          description: Device preparation
        run:
          steps:
          # the image does not raise the interface itself
          # force a DHCP request to avoid avahi using a zero conf address.
          # - udhcpc
          # - netstat
          # - ip a
          # - ifconfig
          - df
          - cat /sys/class/thermal/thermal_zone0/policy || true
          - echo "power_allocator" > /sys/class/thermal/thermal_zone0/policy || true
          - cat /sys/class/thermal/thermal_zone0/policy || true
          - cat /sys/devices/system/cpu/cpufreq/policy0/scaling_available_frequencies  |
            awk '{ print $(NF-1) }'  > /sys/devices/system/cpu/cpufreq/policy0/scaling_max_freq
          - cat /sys/devices/system/cpu/cpufreq/policy0/scaling_max_freq || true
      name: prep-inline
      path: inline/prep.yaml
    - repository: https://github.com/Linaro/test-definitions.git
      from: git
      path: automated/linux/ltp/ltp.yaml
      parameters:
        SKIP_INSTALL: 'true'
        TST_CMDFILES: syscalls
        SKIPFILE: skipfile-lkft.yaml
        BOARD: hi6220-hikey
        BRANCH: linux-next
        ENVIRONMENT: production
        TIMEOUT_MULTIPLIER: 3
        LTP_TMPDIR: /scratch
      name: ltp-syscalls-tests
